Skip to main content

Documentation Index

Fetch the complete documentation index at: https://api.docs.onlydrams.app/llms.txt

Use this file to discover all available pages before exploring further.

Parameters

Updates the specific distillery by setting the values of the parameters passed. Any parameters not provided will be left unchanged.
name
string
The name of the juice.
proof
float
The proof of the juice.
variety
string
The variety of the juice.
origin
string
The origin of the juice.
age
integer
The age of the juice in years.
release
string
The release date, or cadence of the juice.
distillery_id
string
ID of the distillery that this juice is made by.

Returns

Returns a success message if it was created with no errors. Otherwise, an error message is returned.
  curl -X PATCH https://api.onlydrams.app/api/v1/juices/:id \
       -H "Content-Type: application/json" \
       -H "Authorization: Bearer $ACCESS_TOKEN" \
       -d '{
            "juice": {
              "name": "willet family estate bourbon",
              "proof": 114,
              "variety": "bourbon",
              "age": 10,
              "release": "limited",
              "distillery_id": "1234"
            }
          }'
{
  "juice": {
    "name": "willet family estate bourbon",
    "proof": 114,
    "variety": "bourbon",
    "age": 10,
    "release": "limited",
    "distillery_id": "1234"
  }
}